View Issue Details

IDProjectCategoryView StatusLast Update
0002612FreeCADBugpublic2016-07-16 16:17
ReportervejmarieAssigned Tovejmarie 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformMacbookProOSMacOSOS VersionElCapitan
Product Version 
Target VersionFixed in Version0.17 
Summary0002612: Mefisto Mesh generation is broken with SMESH 7 upgrade
DescriptionMefisto Mesh generation through MeshPart is broken and doesn't generate any mesh. This is happening only with SMESH 7 upgrade
Steps To ReproduceCreate a Part element (cylinder, or cube) try to Mesh it with the PartMesher using Mefisto
TagsNo tags attached.

Activities

vejmarie

2016-07-08 20:28

developer   ~0007179

I just issue PR 0000208 which integrate the fix for this issue. It was coming from a bad definition of the function areteideale (and calls), which was returning aretemaxface_ as value, without changing it as input parameter but call return. Fortran part of aptrte requires the input parameter to be modified instead the return value
          areteideale(R &_areteideale)
  {
        _areteideale = aretemaxface_;
        return(_areteideale)
  }
I am still returning the value to keep the C code style of aptrte, but this is probably not the cleanest way to make it.

Issue History

Date Modified Username Field Change
2016-07-06 06:55 vejmarie New Issue
2016-07-06 07:52 wmayer Assigned To => vejmarie
2016-07-06 07:52 wmayer Status new => assigned
2016-07-08 20:28 vejmarie Note Added: 0007179
2016-07-08 20:29 vejmarie Status assigned => resolved
2016-07-08 20:29 vejmarie Resolution open => fixed
2016-07-16 16:17 wmayer Status resolved => closed
2016-07-16 16:17 wmayer Fixed in Version => 0.17